// @generated by protobuf-ts 2.4.0 with parameter output_javascript,// @generated from protobuf file "Math/Math.proto" (package "math", syntax proto3),// tslint:disable
import type { BinaryWriteOptions } from "@protobuf-ts/runtime";
import type { IBinaryWriter } from "@protobuf-ts/runtime";
import type { BinaryReadOptions } from "@protobuf-ts/runtime";
import type { IBinaryReader } from "@protobuf-ts/runtime";
import type { PartialMessage } from "@protobuf-ts/runtime";
import { MessageType } from "@protobuf-ts/runtime";
/**
 * @generated from protobuf message math.SumRes
 */
export interface SumRes {
    /**
     * @generated from protobuf field: int64 Summation = 1 [json_name = "Summation"];
     */
    summation: bigint;
}
/**
 * @generated from protobuf message math.SumArg
 */
export interface SumArg {
    /**
     * @generated from protobuf field: repeated int64 Nums = 1 [json_name = "Nums"];
     */
    nums: bigint[];
}
/**
 * @generated from protobuf message math.FactorialRes
 */
export interface FactorialRes {
    /**
     * @generated from protobuf field: int64 Factorial = 1 [json_name = "Factorial"];
     */
    factorial: bigint;
}
/**
 * @generated from protobuf message math.FactorialArg
 */
export interface FactorialArg {
    /**
     * @generated from protobuf field: int64 N = 1 [json_name = "N"];
     */
    n: bigint;
}
declare class SumRes$Type extends MessageType<SumRes> {
    constructor();
    create(value?: PartialMessage<SumRes>): SumRes;
    internalBinaryRead(reader: IBinaryReader, length: number, options: BinaryReadOptions, target?: SumRes): SumRes;
    internalBinaryWrite(message: SumRes, writer: IBinaryWriter, options: BinaryWriteOptions): IBinaryWriter;
}
/**
 * @generated MessageType for protobuf message math.SumRes
 */
export declare const SumRes: SumRes$Type;
declare class SumArg$Type extends MessageType<SumArg> {
    constructor();
    create(value?: PartialMessage<SumArg>): SumArg;
    internalBinaryRead(reader: IBinaryReader, length: number, options: BinaryReadOptions, target?: SumArg): SumArg;
    internalBinaryWrite(message: SumArg, writer: IBinaryWriter, options: BinaryWriteOptions): IBinaryWriter;
}
/**
 * @generated MessageType for protobuf message math.SumArg
 */
export declare const SumArg: SumArg$Type;
declare class FactorialRes$Type extends MessageType<FactorialRes> {
    constructor();
    create(value?: PartialMessage<FactorialRes>): FactorialRes;
    internalBinaryRead(reader: IBinaryReader, length: number, options: BinaryReadOptions, target?: FactorialRes): FactorialRes;
    internalBinaryWrite(message: FactorialRes, writer: IBinaryWriter, options: BinaryWriteOptions): IBinaryWriter;
}
/**
 * @generated MessageType for protobuf message math.FactorialRes
 */
export declare const FactorialRes: FactorialRes$Type;
declare class FactorialArg$Type extends MessageType<FactorialArg> {
    constructor();
    create(value?: PartialMessage<FactorialArg>): FactorialArg;
    internalBinaryRead(reader: IBinaryReader, length: number, options: BinaryReadOptions, target?: FactorialArg): FactorialArg;
    internalBinaryWrite(message: FactorialArg, writer: IBinaryWriter, options: BinaryWriteOptions): IBinaryWriter;
}
/**
 * @generated MessageType for protobuf message math.FactorialArg
 */
export declare const FactorialArg: FactorialArg$Type;
/**
 * @generated ServiceType for protobuf service math.MathSvc
 */
export declare const MathSvc: any;
export {};
